DROP OPERATOR CLASS()

NAME
DROP OPERATOR CLASS - remove an operator class

SYNOPSIS

DROP OPERATOR CLASS [ IF EXISTS ] name USING index_method [ CASCADE | RESTRICT ]

DESCRIPTION

DROP OPERATOR CLASS drops an existing operator class. To execute this command you must be the owner of the operator class.

PARAMETERS

IF EXISTS
    Do not throw an error if the operator class does not exist. A notice is issued in this case.

name
    The name (optionally schema-qualified) of an existing operator class.

index_method
    The name of the index access method the operator class is for.

CASCADE
    Automatically drop objects that depend on the operator class.

RESTRICT
    Refuse to drop the operator class if any objects depend on it. This is the default.

EXAMPLES

Remove the B-tree operator class widget_ops:

DROP OPERATOR CLASS widget_ops USING btree;

This command will not succeed if there are any existing indexes that use the operator class. Add CASCADE to drop such indexes along with the operator class.

COMPATIBILITY

There is no DROP OPERATOR CLASS statement in the SQL standard.

SEE ALSO
ALTER OPERATOR CLASS [alter_operator_class(7)], CREATE OPERATOR CLASS [create_operator_class(l)]